package com.duiba.tuia.youtui.web.constant;

/**
 * 出券来源
 */
public enum CouponSource {
    ACTIVITY("activity","活动工具"),
    PLUGIN("plugin", "插件活动"),
    GAME("game", "游戏"),
    DIRECT("direct","直投页直投")

    ;
    private String code;
    private String desc;

    CouponSource(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public boolean equalsCode(String code) {
        return this.code.equals(code);
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
